/*!
 * @file md3_mesh.h
 *
 * Code heavely inspired by: JAVA MD3 Model Viewer - A Java based Quake 3 model viewer
 * Copyright (C) 1999 Erwin 'KLR8' Vervaet
 */

#ifndef _MD3_MESH_H
#define _MD3_MESH_H

class MD3Mesh
{
  public:



  private:
    std::string        id;                     //!< id of the mesh
    std::string        name;                   //!< the name of the mesh

    int                numFrameMesh;           //!< number of mesh fames
    int                numTexture;             //!< number of textures
    int                numVertex;              //!< number of verteces

    int                numTriangle;            //!< number of triangles
    int                triangleStart;          //!< start triangle
    int                textureStart;           //!< start texture
    int                texVecStart;            //!< texture vector start
    int                vertexStart;            //!< start of the verteces

    int                meshSize;               //!< the mesh size


    //MD3Texture*      textures;                //!< array of textures of size textureNum
    int*               triangles;               //!< indices into mesh frames and texture coord arrays
    float*             textureCoords;           //!< U/V textures coordinates of vertices
    sVec3D*            meshFrames;              //!< mesh frames
};


#endif /* _MD3_MESH_H */
